spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::unabbreviator Class Referencefinal
Temporal Logic » Rewriting Algorithms for Formulas

Clone and rewrite a formula to remove specified operators logical operators. More...

`#include <spot/tl/unabbrev.hh>`

Collaboration diagram for spot::unabbreviator:

## Public Member Functions
| unabbreviator (const char *opt=default_unabbrev_string)
| Constructor. More...
formula | run (formula in)

## Detailed Description

Clone and rewrite a formula to remove specified operators logical operators.

## Constructor & Destructor Documentation

spot::unabbreviator::unabbreviator | ( | const char * | opt = `default_unabbrev_string` | ) |

Constructor.

The set of operators to remove should be passed as a string which in which each letter denote an operator (using LBT's convention).

The documentation for this class was generated from the following file:

- spot/tl/unabbrev.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.